$background-color: #ededed;
$light-text-color: #777777;
$dark-text-color: #444444;
$link-color: #0011bb;
$link-visited-color: #6600cc;

body {
    font-family: sans-serif;
    color: $dark-text-color;
    margin: 0;
    line-height: 1.4em;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: $background-color;
    padding: 0 20px;
}

table {
    margin-left: auto;
    margin-right: auto;
}

img {
    max-width: 100%;
}

a {
    color: $link-color;
    &:visited {
        color: $link-visited-color;
    }
}

h1 {
    color: $light-text-color;
}

.profileLink {
    font-weight: bold;
}

.quakeList, .profile, .detail {
    width: 600px;
    margin: 0 auto;
    h2 {
        text-align: center;
    }
}

.quakeList table {
    tr td {
        &.magnitude {
            text-align: center;
        }
    }
}

.detail, .profile {
    table {
        th {
            text-align: left;
            white-space: nowrap;
            vertical-align: top;
            padding: 0 30px 0 10px;
        }
        td {
            color: $light-text-color;
        }
    }
}

.profile {
    .wrapper {
        display: grid;
        grid-template-columns: 1fr 2fr;
    }
}